Bug 176778 - ports/deskutils/cairo-dock 2.3.0.3_2 compile error
Summary: ports/deskutils/cairo-dock 2.3.0.3_2 compile error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-09 09:00 UTC by t-matubara
Modified: 2013-03-11 02:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description t-matubara 2013-03-09 09:00:00 UTC
svn update(Revision 313696),Today

Since glib(2.34.3) was updated, it becomes a compile error. 

I will send a patch.

Best Regards.

Fix: patch is:



-#include <glib/gtypes.h>
+#include <glib.h>
 #include "cairo-dock-struct.h"
 #include "cairo-dock-manager.h"--yGciqHOIC8ZO0VP5sEbojpB4Ouemu8R6AnzmGWBEFAL6BBww
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- src/gldit/cairo-dock-keybinder.h.orig       2013-03-09 17:10:41.000000000 +0900
+++ src/gldit/cairo-dock-keybinder.h    2013-03-09 17:11:12.000000000 +0900
@@ -31,7 +31,7 @@
 #ifndef __CD_KEY_BINDER_H__
 #define __CD_KEY_BINDER_H__
How-To-Repeat: Always
Comment 1 Edwin Groothuis freebsd_committer 2013-03-09 09:00:17 UTC
Maintainer of deskutils/cairo-dock,

Please note that PR ports/176778 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176778

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-09 09:00:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ivan Klymenko 2013-03-10 20:13:13 UTC
I approve the patch.

Thanks!
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2013-03-10 21:11:33 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Bryan Drewery freebsd_committer 2013-03-11 00:45:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 6 Bryan Drewery freebsd_committer 2013-03-11 01:53:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2013-03-11 01:54:03 UTC
Author: bdrewery
Date: Mon Mar 11 01:53:49 2013
New Revision: 313853
URL: http://svnweb.freebsd.org/changeset/ports/313853

Log:
  - Fix build with latest glib update
  - Fix plist referencing bad PREFIX/share/man directory
  - Trim header
  
  PR:		ports/176778
  Submitted by:	Takashi Matsubara <t-matubara@miracle.ocn.ne.jp>
  Approved by:	Ivan Klymenko <fidaj@ukr.net> (maintainer)

Added:
  head/deskutils/cairo-dock/files/patch-src__gldit__cairo-dock-keybinder.h   (contents, props changed)
Modified:
  head/deskutils/cairo-dock/Makefile
  head/deskutils/cairo-dock/pkg-plist

Modified: head/deskutils/cairo-dock/Makefile
==============================================================================
--- head/deskutils/cairo-dock/Makefile	Mon Mar 11 01:38:26 2013	(r313852)
+++ head/deskutils/cairo-dock/Makefile	Mon Mar 11 01:53:49 2013	(r313853)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	cairo-dock
-# Date created:		2010-03-18
-# Whom:			Ivan Klymenko <fidaj@ukr.net>
-#
+# Created by: Ivan Klymenko <fidaj@ukr.net>
 # $FreeBSD$
-#
 
 PORTNAME=	cairo-dock
 DISTVERSION=	2.3.0~3

Added: head/deskutils/cairo-dock/files/patch-src__gldit__cairo-dock-keybinder.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/cairo-dock/files/patch-src__gldit__cairo-dock-keybinder.h	Mon Mar 11 01:53:49 2013	(r313853)
@@ -0,0 +1,10 @@
+--- src/gldit/cairo-dock-keybinder.h.orig       2013-03-09 17:10:41.000000000 +0900
++++ src/gldit/cairo-dock-keybinder.h    2013-03-09 17:11:12.000000000 +0900
+@@ -31,7 +31,7 @@
+ #ifndef __CD_KEY_BINDER_H__
+ #define __CD_KEY_BINDER_H__
+
+-#include <glib/gtypes.h>
++#include <glib.h>
+ #include "cairo-dock-struct.h"
+ #include "cairo-dock-manager.h"

Modified: head/deskutils/cairo-dock/pkg-plist
==============================================================================
--- head/deskutils/cairo-dock/pkg-plist	Mon Mar 11 01:38:26 2013	(r313852)
+++ head/deskutils/cairo-dock/pkg-plist	Mon Mar 11 01:53:49 2013	(r313853)
@@ -266,8 +266,6 @@ share/pixmaps/cairo-dock.svg
 @dirrmtry share/applications
 @dirrmtry share/locale/fo/LC_MESSAGES
 @dirrmtry share/locale/fo
-@dirrmtry share/man/man1
-@dirrmtry share/man
 @dirrm include/cairo-dock/implementations
 @dirrm include/cairo-dock/icon-factory
 @dirrm include/cairo-dock/cairo-dock
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"